Workplane | Small Utility Addon for Blender | Addon library
kandi X-RAY | Workplane Summary
kandi X-RAY | Workplane Summary
A small addon which adds a workplane like tool to blender. The main idea is that it allows for quickly setting up a custom transform orientation, which is used for finding the major two axis the user is viewing - these can then be used as constraints for translate/rotate/scale operations without the need to type it in manually. So for example instead of "g" "Shift-Y" "Shift-Y" you can just do that with one command. This addon does not recreate the default operations like translate/rotate/scale it merely calls the ones blender offers and sets the constraint axis and transform orientation for you. Get it here: Download ZIP.
Support
Quality
Security
License
Reuse
Top functions reviewed by kandi - BETA
- Event handler for modal update
- Set grid overlay state
- Disable drawing handler
- Apply func to func
- Invoke the actor
- Set user transform orientation
- Store grid prefs
- Find the center of the object
- Set the active flag
- Enable workplane
- Disable the workplane
- Execute the workplane
- Draw the workplane
- Invoke transformation on workplane
- Trigger the current mesh
- Invoke the workflow
- Writes a directory to a zip
- Unregister workplane
Workplane Key Features
Workplane Examples and Code Snippets
Community Discussions
Trending Discussions on Workplane
QUESTION
I want to add constraints between the planes of the base-coordinate systems of components in an Inventor assmbly using the Inventor API with Python. The placement of the components works. My issue is, that i cannot access WorkPlanes in the Definition of my individual Occurrences. My Code looks like this:
...ANSWER
Answered 2021-Jun-28 at 20:41You need to create WorkPlaneProxy
object of the WorkPlane
. It means representation of workplane defined in part in context of specific occurrence in the assembly
Here is part of VB.NET code
QUESTION
I can loft a 2D shape from one plane to another like this:
...ANSWER
Answered 2020-Apr-19 at 09:16The point is to push back the last wire in the CQ stack, what a simple python assigment could not do:
wp = wp2
So I changed it to:
wp = wp.transformed(offset=cq.Vector(0, -0.5, 1.0),rotate=cq.Vector(10, 0, 0)).rect(1,2).workplane()
to make work the CQ kernel.
Here is the working code:
Community Discussions, Code Snippets contain sources that include Stack Exchange Network
Vulnerabilities
No vulnerabilities reported
Install Workplane
Support
Reuse Trending Solutions
Find, review, and download reusable Libraries, Code Snippets, Cloud APIs from over 650 million Knowledge Items
Find more librariesStay Updated
Subscribe to our newsletter for trending solutions and developer bootcamps
Share this Page